/* *****************************************************************************
 * Copyright (c) IRISA Laboratory, 
 * Universite Bretagne Sud, France
 * <http://www-casa.irisa.fr/dodwan>
 *
 * This file is part of DoDWAN.
 * 
 * DoDWAN is free software: you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software 
 * Foundation, either version 3 of the License, or any later
 * version.
 * 
 * DoDWAN is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * DoDWAN.  If not, see <http://www.gnu.org/licenses/>.
 * ****************************************************************************/


package casa.dodwan.net;

import java.io.OutputStream;

import casa.dodwan.util.Logger;
import casa.dodwan.util.Sink;
import casa.dodwan.util.Logger;

public class StreamSender extends Thread {

    private OutputStream out_ = null;
    private byte[] data_ = null;

    // ------------------------------------------------------------
    public StreamSender(OutputStream out, byte[] data) {
	
	out_ = out;
	data_ = data;
    }
    
    // ------------------------------------------------------------
    public void run() {
	
	try {
	    synchronized(out_) {
		// Logger.log("str_sndr", "> [" + data_.length + "]");
		Stream_IO.sendBundle(out_, data_);
	    }
	    
	}
	catch (Exception e) {
	    // Logger.log("str_sndr", "! Failure: " + e);
	    // e.printStackTrace();
	}
    }
}
