/* *****************************************************************************
 * Copyright (c) IRISA Laboratory, 
 * Universite Bretagne Sud, France
 * <http://www-casa.irisa.fr/dodwan>
 *
 * This file is part of DoDWAN.
 * 
 * DoDWAN is free software: you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software 
 * Foundation, either version 3 of the License, or any later
 * version.
 * 
 * DoDWAN is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * DoDWAN.  If not, see <http://www.gnu.org/licenses/>.
 * ****************************************************************************/



package casa.dodwan.util;

import java.io.BufferedReader;
import java.io.PrintStream;

public class ConsoleTask extends casa.dodwan.util.TimerTask {

	private String[] arguments_;

	private Console console_;

	private BufferedReader in_;

	private PrintStream out_;

	// ------------------------------------------------------------
	public ConsoleTask(Console console, String[] arguments, BufferedReader in,
			PrintStream out) {
		console_ = console;
		arguments_ = arguments;
		in_ = in;
		out_ = out;
	}

	// ------------------------------------------------------------
	@Override
	public void run() {

		out_.println("ConsoleTask.run()" + "  Processing deferred command: "
				+ casa.dodwan.util.DataFormatting.toString(arguments_, " "));

		console_.processCommand(arguments_, in_, out_);
	}

}
