/* *****************************************************************************
 * Copyright (c) IRISA Laboratory, 
 * Universite Bretagne Sud, France
 * <http://www-casa.irisa.fr/dodwan>
 *
 * This file is part of DoDWAN.
 * 
 * DoDWAN is free software: you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software 
 * Foundation, either version 3 of the License, or any later
 * version.
 * 
 * DoDWAN is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * DoDWAN.  If not, see <http://www.gnu.org/licenses/>.
 * ****************************************************************************/



package casa.dodwan.util;

public class ListenableSink<DOCTYPE> extends Listenable<SinkListener<DOCTYPE>>
		implements Sink<DOCTYPE> {

	private Sink<DOCTYPE> sink_ = null;

	// ------------------------------------------------------------
	public ListenableSink(Sink<DOCTYPE> sink) throws Exception {

		sink_ = sink;
	}

	// ------------------------------------------------------------
	public void setSink(Sink<DOCTYPE> sink) {

		sink_ = sink;
	}

	// ------------------------------------------------------------
	public void write(DOCTYPE value) throws Exception {

		for (SinkListener<DOCTYPE> listener : getListeners())
			listener.write(value);
		if (sink_ != null)
			sink_.write(value);
	}
}
