/* *****************************************************************************
 * Copyright (c) IRISA Laboratory, 
 * Universite Bretagne Sud, France
 * <http://www-casa.irisa.fr/dodwan>
 *
 * This file is part of DoDWAN.
 * 
 * DoDWAN is free software: you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software 
 * Foundation, either version 3 of the License, or any later
 * version.
 * 
 * DoDWAN is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * DoDWAN.  If not, see <http://www.gnu.org/licenses/>.
 * ****************************************************************************/



package casa.dodwan.util;

public class ProcessableTimerTask<PROC_TYPE extends TimerTaskProcessor> extends
		TimerTask {

	private PROC_TYPE processor_;

	public ProcessableTimerTask(PROC_TYPE processor) {
		super();
		processor_ = processor;
	}

	// ------------------------------------------------------------
	public PROC_TYPE getProcessor() {
		return processor_;
	}

	// ------------------------------------------------------------
	@Override
	public void run() {

		try {
			processor_.process(this);
		} catch (Exception e) {
			System.out.println("ProcessableTimerTask.run(): " + e.getMessage());
			e.printStackTrace();
		}
	}
}
